/*
Testa as funcoes de E/S da biblioteca newlib.
O modulo uart.c fornace recursos para ler/escrever caracteres (U0getchar U0getchar)
O modulo syscall.c fornece as chamadas de sistema 
[ _read_r, _write_r _seek_r _close_r _stat_r e _sbrk_r]
para ler/escrever arquivos e alocar memoria.
Estas funcoes sao usadas mas não implementadas na biblioteca newlib.c
As funcoes printf e scanf da newlib fazem uso extensivo de chamadas de sistema.
*/
#include "uart.h"
#include <stdio.h>
#include <stdlib.h>

int main (void)
{
int c;
char p[80];
U0init();
c=123;
printf("Hello world! c = %d\n", c);
c=U0getchar();
return 0;
}

/* Estas rotinas sao chamados pelo crt.S. 
Devem existir, mas ainda nao estao sendo usadas */
void UNDEF_Routine(){}
void SWI_Routine(){}
void FIQ_Routine(){}
